FreeBodyResultsBuilder Class

class NXOpen.CAE.FreeBodyResultsBuilder

Bases: NXOpen.Builder

Represents a NXOpen.CAE.FreeBodyResultsBuilder

To obtain an instance of this class use NXOpen.Session.ResultManager().

New in version NX7.5.1.

Properties

Property Description
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetDisplayForce Display Force
GetDisplayMoment Display Moment
GetElements The free body elements
GetForceColor Force Color
GetForceVectorDisplay Force vector display
GetIteration The iteration containing the grid point force results
GetLocationCoords The location definition method by coordinates
GetLocationCsys The location definition method by coordinate system origin
GetLocationCsysSource The source for the location coordinate system
GetLocationId The location definition method by node id
GetLocationMethod The location definition method
GetMomentColor Moment Color
GetMomentVectorDisplay Moment vector display
GetNodes The interface nodes
GetObject Returns the object currently being edited by this builder.
GetOutputUnits Output Units
GetPostview The view where graphics will be displayed
GetPrintOutput Print Output
GetReferenceCsys The reference coordinate system
GetSelectedReferenceCsys The selected reference coordinate system
GetSelectedReferenceCsysSource The source for the selected reference coordinate system
SetDisplayForce Display Force
SetDisplayMoment Display Moment
SetElements The free body elements
SetForceColor Force Color
SetForceVectorDisplay Force vector display
SetIteration The iteration containing the grid point force results
SetLocationCoords The location definition method by coordinates
SetLocationCsys The location definition method by coordinate system origin
SetLocationCsysSource The source for the location coordinate system
SetLocationId The location definition method by node id
SetLocationMethod The location definition method
SetMomentColor Moment Color
SetMomentVectorDisplay Moment vector display
SetNodes The interface nodes
SetOutputUnits Output Units
SetPostview The view where graphics will be displayed
SetPrintOutput Print Output
SetReferenceCsys The reference coordinate system
SetSelectedReferenceCsys The selected reference coordinate system
SetSelectedReferenceCsysSource The source for the selected reference coordinate system
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Method Detail

GetDisplayForce

FreeBodyResultsBuilder.GetDisplayForce

Display Force

Signature GetDisplayForce()

Returns:Ask Display
Return type:bool

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetDisplayMoment

FreeBodyResultsBuilder.GetDisplayMoment

Display Moment

Signature GetDisplayMoment()

Returns:Ask Moment
Return type:bool

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetElements

FreeBodyResultsBuilder.GetElements

The free body elements

Signature GetElements()

Returns:Ask Elements
Return type:list of int

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetForceColor

FreeBodyResultsBuilder.GetForceColor

Force Color

Signature GetForceColor()

Returns:Ask Color
Return type:Id

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetForceVectorDisplay

FreeBodyResultsBuilder.GetForceVectorDisplay

Force vector display

Signature GetForceVectorDisplay()

Returns:Ask force vector display
Return type:NXOpen.CAE.FreeBodyResultsBuilderVectorDisplay

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetIteration

FreeBodyResultsBuilder.GetIteration

The iteration containing the grid point force results

Signature GetIteration()

Returns:Ask Iteration
Return type:NXOpen.CAE.BaseIteration

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetLocationCoords

FreeBodyResultsBuilder.GetLocationCoords

The location definition method by coordinates

Signature GetLocationCoords()

Returns:Ask Coordinates
Return type:NXOpen.Point3d

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetLocationCsys

FreeBodyResultsBuilder.GetLocationCsys

The location definition method by coordinate system origin

Signature GetLocationCsys()

Returns:Ask Coordinate System
Return type:int

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetLocationCsysSource

FreeBodyResultsBuilder.GetLocationCsysSource

The source for the location coordinate system

Signature GetLocationCsysSource()

Returns:Ask Source
Return type:NXOpen.CAE.ResultCoordinateSystemSource

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetLocationId

FreeBodyResultsBuilder.GetLocationId

The location definition method by node id

Signature GetLocationId()

Returns:Ask Node ID
Return type:int

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetLocationMethod

FreeBodyResultsBuilder.GetLocationMethod

The location definition method

Signature GetLocationMethod()

Returns:Ask Method
Return type:NXOpen.CAE.FreeBodyResultsBuilderLocationMethod

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetMomentColor

FreeBodyResultsBuilder.GetMomentColor

Moment Color

Signature GetMomentColor()

Returns:Ask Color
Return type:Id

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetMomentVectorDisplay

FreeBodyResultsBuilder.GetMomentVectorDisplay

Moment vector display

Signature GetMomentVectorDisplay()

Returns:Ask moment vector display
Return type:NXOpen.CAE.FreeBodyResultsBuilderVectorDisplay

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetNodes

FreeBodyResultsBuilder.GetNodes

The interface nodes

Signature GetNodes()

Returns:Ask Nodes
Return type:list of int

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetOutputUnits

FreeBodyResultsBuilder.GetOutputUnits

Output Units

Signature GetOutputUnits()

Returns:Ask Units
Return type:NXOpen.CAE.FreeBodyResultsBuilderOutputUnits

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetPostview

FreeBodyResultsBuilder.GetPostview

The view where graphics will be displayed

Signature GetPostview()

Returns:Ask View
Return type:int

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetPrintOutput

FreeBodyResultsBuilder.GetPrintOutput

Print Output

Signature GetPrintOutput()

Returns:Ask Print
Return type:bool

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetReferenceCsys

FreeBodyResultsBuilder.GetReferenceCsys

The reference coordinate system

Signature GetReferenceCsys()

Returns:Ask Coordinate System
Return type:NXOpen.CAE.ResultCoordinateSystem

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetSelectedReferenceCsys

FreeBodyResultsBuilder.GetSelectedReferenceCsys

The selected reference coordinate system

Signature GetSelectedReferenceCsys()

Returns:Ask Coordinate System
Return type:int

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetSelectedReferenceCsysSource

FreeBodyResultsBuilder.GetSelectedReferenceCsysSource

The source for the selected reference coordinate system

Signature GetSelectedReferenceCsysSource()

Returns:Ask Source
Return type:NXOpen.CAE.ResultCoordinateSystemSource

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetDisplayForce

FreeBodyResultsBuilder.SetDisplayForce

Display Force

Signature SetDisplayForce(display)

Parameters:display (bool) – Set Display

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetDisplayMoment

FreeBodyResultsBuilder.SetDisplayMoment

Display Moment

Signature SetDisplayMoment(display)

Parameters:display (bool) – Set Moment

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetElements

FreeBodyResultsBuilder.SetElements

The free body elements

Signature SetElements(elements)

Parameters:elements (list of int) – Set Elements

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetForceColor

FreeBodyResultsBuilder.SetForceColor

Force Color

Signature SetForceColor(display)

Parameters:display (Id) – Set Color

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetForceVectorDisplay

FreeBodyResultsBuilder.SetForceVectorDisplay

Force vector display

Signature SetForceVectorDisplay(vectorDisplay)

Parameters:vectorDisplay (NXOpen.CAE.FreeBodyResultsBuilderVectorDisplay) – Set force vector display

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetIteration

FreeBodyResultsBuilder.SetIteration

The iteration containing the grid point force results

Signature SetIteration(iteration)

Parameters:iteration (NXOpen.CAE.BaseIteration) – Set Iteration

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetLocationCoords

FreeBodyResultsBuilder.SetLocationCoords

The location definition method by coordinates

Signature SetLocationCoords(coordinates)

Parameters:coordinates (NXOpen.Point3d) – Set Coordinates

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetLocationCsys

FreeBodyResultsBuilder.SetLocationCsys

The location definition method by coordinate system origin

Signature SetLocationCsys(id)

Parameters:id (int) – Set Node Coordinate System

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetLocationCsysSource

FreeBodyResultsBuilder.SetLocationCsysSource

The source for the location coordinate system

Signature SetLocationCsysSource(source)

Parameters:source (NXOpen.CAE.ResultCoordinateSystemSource) – Set Source

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetLocationId

FreeBodyResultsBuilder.SetLocationId

The location definition method by node id

Signature SetLocationId(nodeId)

Parameters:nodeId (int) – Set Node ID

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetLocationMethod

FreeBodyResultsBuilder.SetLocationMethod

The location definition method

Signature SetLocationMethod(method)

Parameters:method (NXOpen.CAE.FreeBodyResultsBuilderLocationMethod) – Set Method

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetMomentColor

FreeBodyResultsBuilder.SetMomentColor

Moment Color

Signature SetMomentColor(color)

Parameters:color (Id) – Set Color

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetMomentVectorDisplay

FreeBodyResultsBuilder.SetMomentVectorDisplay

Moment vector display

Signature SetMomentVectorDisplay(vectorDisplay)

Parameters:vectorDisplay (NXOpen.CAE.FreeBodyResultsBuilderVectorDisplay) – Set moment vector display

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetNodes

FreeBodyResultsBuilder.SetNodes

The interface nodes

Signature SetNodes(nodes)

Parameters:nodes (list of int) – Set Nodes

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetOutputUnits

FreeBodyResultsBuilder.SetOutputUnits

Output Units

Signature SetOutputUnits(units)

Parameters:units (NXOpen.CAE.FreeBodyResultsBuilderOutputUnits) – Set Units

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetPostview

FreeBodyResultsBuilder.SetPostview

The view where graphics will be displayed

Signature SetPostview(postviewId)

Parameters:postviewId (int) – Set View

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetPrintOutput

FreeBodyResultsBuilder.SetPrintOutput

Print Output

Signature SetPrintOutput(print)

Parameters:print (bool) – Set Print

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetReferenceCsys

FreeBodyResultsBuilder.SetReferenceCsys

The reference coordinate system

Signature SetReferenceCsys(csys)

Parameters:csys (NXOpen.CAE.ResultCoordinateSystem) – Set Coordinate System

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetSelectedReferenceCsys

FreeBodyResultsBuilder.SetSelectedReferenceCsys

The selected reference coordinate system

Signature SetSelectedReferenceCsys(id)

Parameters:id (int) – Set Coordinate System

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetSelectedReferenceCsysSource

FreeBodyResultsBuilder.SetSelectedReferenceCsysSource

The source for the selected reference coordinate system

Signature SetSelectedReferenceCsysSource(source)

Parameters:source (NXOpen.CAE.ResultCoordinateSystemSource) – Set Source

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

Validate

FreeBodyResultsBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.